Skip to content

IAM  >  Operations  >  list_policy_versions

list_policy_versions

Operation

list_policy_versions async

list_policy_versions(request: ListPolicyVersionsInput | ListPolicyVersionsInputDict, /, *, plugins: list[Plugin] | None = None) -> ListPolicyVersionsOutput
list_policy_versions(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListPolicyVersionsInputDict]) -> ListPolicyVersionsOutput

Lists information about the versions of the specified managed policy, including the version that is currently set as the policy's default version.

For more information about managed policies, see Managed policies and inline policies in the IAM User Guide.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
ListPolicyVersionsOutput

An instance of ListPolicyVersionsOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

ListPolicyVersionsInput dataclass

Bases: _SerdeShape

Dataclass for ListPolicyVersionsInput structure.

Attributes
marker class-attribute instance-attribute
marker: str | None = ...

Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker element in the response that you received to indicate where the next call should start.

max_items class-attribute instance-attribute
max_items: int | None = ...

Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.

If you do not include this parameter, the number of items defaults to 100. Note that IAM might return fewer results, even when there are more results available. In that case, the IsTruncated response element returns true, and Marker contains a value to include in the subsequent call that tells the service where to continue from.

policy_arn class-attribute instance-attribute
policy_arn: str | None = ...

The Amazon Resource Name (ARN) of the IAM policy for which you want the versions.

For more information about ARNs, see Amazon Resource Names (ARNs) in the Amazon Web Services General Reference.

Dictionaries

ListPolicyVersionsInputDict

Bases: TypedDict

Dictionary form of ListPolicyVersionsInput.

Attributes
marker instance-attribute
marker: str | None

Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker element in the response that you received to indicate where the next call should start.

max_items instance-attribute
max_items: int | None

Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.

If you do not include this parameter, the number of items defaults to 100. Note that IAM might return fewer results, even when there are more results available. In that case, the IsTruncated response element returns true, and Marker contains a value to include in the subsequent call that tells the service where to continue from.

policy_arn instance-attribute
policy_arn: Required[str]

The Amazon Resource Name (ARN) of the IAM policy for which you want the versions.

For more information about ARNs, see Amazon Resource Names (ARNs) in the Amazon Web Services General Reference.

Output

ListPolicyVersionsOutput dataclass

Bases: _SerdeShape

Contains the response to a successful ListPolicyVersions request.

Attributes

is_truncated class-attribute instance-attribute
is_truncated: bool = ...

A flag that indicates whether there are more items to return. If your results were truncated, you can make a subsequent pagination request using the Marker request parameter to retrieve more items. Note that IAM might return fewer than the MaxItems number of results even when there are more results available. We recommend that you check IsTruncated after every call to ensure that you receive all your results.

marker class-attribute instance-attribute
marker: str | None = ...

When IsTruncated is true, this element is present and contains the value to use for the Marker parameter in a subsequent pagination request.

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.

versions class-attribute instance-attribute
versions: list[PolicyVersion] | None = ...

A list of policy versions.

For more information about managed policy versions, see Versioning for managed policies in the IAM User Guide.